### Function

# PangoCairo update_layout

#### Declaration [src]

    void
    pango_cairo_update_layout (
      cairo_t* cr,
      PangoLayout* layout
    )

#### Description [src]

Updates the private `PangoContext` of a `PangoLayout` created with `pango_cairo_create_layout()` to match the current transformation and target surface of a Cairo context.

Available since: | 1.10

#### Parameters

`cr` | `cairo_t*`
| A Cairo context.
| The data is owned by the caller of the function.
`layout` | `PangoLayout*`
| A `PangoLayout`, from `pango_cairo_create_layout()`
| The data is owned by the caller of the function.